Packaging - Bug #32743

katello-change-hosthname assumes answers file location
06/07/2021 03:08 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: RPMs
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: No Found in Releases: 250
Bugzilla link: 1968608 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/6759,
https://github.com/theforeman/foreman-p
ackaging/pull/6779

Description

The right way to determine the answers file location is to read the scenario file and use the value for :answer_file. However, the script
now assumes it's always ${scenario}-answers.yaml which can lead to incorrect behavior.

Associated revisions

Revision de4d531a - 06/07/2021 07:30 PM - Ewoud Kohl van Wijngaarden

Fixes #32743 - Correct scenario answers file

The script used to assume it's always ${scenario}-answers.yaml which can
lead to incorrect behavior. The right way to determine the answers file
location is to read the scenario file and use the value for

:answer_file.

It has some safeguard that it could at least determine the path.

History

#1 - 06/07/2021 03:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/6759 added

#2 - 06/07/2021 04:14 PM - lan Ballou
- Bugzilla link set to 1968608

#3 - 06/07/2021 07:30 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 06/07/2021 08:02 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|de4d531a4ef4df0d31e0f3b0bc739828de273a68.

#5 - 06/14/2021 10:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/6779 added

#6 - 06/14/2021 10:56 AM - Evgeni Golov

- Target version set to 2.5.1

#7 - 06/14/2021 11:28 AM - Evgeni Golov
https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/de4d531a4ef4df0d31e0f3b0bc739828de273a68

- Fixed in Releases 2.5.1 added
